/*
 * $Id: 4d3ed8df3faf8252ad2895e5032c6845c25882a0 $
 *
 * This file is part of nsmtp.
 *
 * Copyright (c) 2007, 2008 Niklas Olmes <niklas@noxa.de>
 *                          http://www.nevm.de/nsmtp/
 *                          NEVM-RIPE
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#ifndef HAD_LIBNSMTP_CHECK_H
#define HAD_LIBNSMTP_CHECK_H

#include "ntl.h"

#define IPV6_V4PREFIX	"::ffff:"

int check_mailaddress(const char *, int);
int want_generic(const char *, const char *, const char **, NTL_ATTR **, NTL_ATTR **, int);
int is_sane_ip(const char *);
int is_mx_us(const char *, int);

#endif
